<!DOCTYPE html>
<!-- [QPRTemplateStart: viewsettingsselectionview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#stylesheet>
    <#PortalScript>

    <script type="text/javascript">
      if ( sGetParameter("NORESIZE", document.location.href) != "1" &&
           self.parent.resizeTo ) {
        ResizePopupWindow(400, 480);
      }
      var _iPrivateCount, _iPublicCount;
      var _arSettings = new Array();

      function WriteSortByControl()
      {
        var sCheckedName = '';
        var sCheckedIndex = '';

        if ('<#SORTBY>' == 'Name') 
          sCheckedName = 'checked';
        else 
          sCheckedIndex = 'checked';

        document.write('<input type="radio" name="radSortBy" ' + sCheckedName + ' onclick="javascript: setSortBy(0);" />&nbsp;<#LocalizedText id="Alphabetical order">&nbsp;');
        document.write('<input type="radio" name="radSortBy" ' + sCheckedIndex + ' onclick="javascript: setSortBy(1);" />&nbsp;<#LocalizedText id="Custom order">&nbsp;');
      }
    </script>
  </head>

  <body class="PopupView" onload="OnLoad()">
    <form name="formobjectselection" action="#" method="post">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_select.png" />
        <h1>
          <#LocalizedText id="Select View">
        </h1>
      </div>
      <div class="PopupContent">
        <script type="text/javascript">
          WriteSortByControl();
        </script>
      <div class="PropertyFormGroupWrapper">
        <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" style="width: 100%">
          <tr>
            <td valign="top">
              <table border="0" style="width: 100%" cellpadding="0" cellspacing="0">
                <tr>
                  <td valign="top">
                    <table style="width: 100%" border="0" cellpadding="0" cellspacing="0">
                      <tr><td><a href="javascript:OpenViewSettingsLink();"><#LocalizedText id="Default view settings"></a></td></tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
            <tr>
              <td>
                <table id="tabViewSettingsListPublic" style="display: none">
                  <tr>
                    <td>
                      <img src="<#ImageFileLocation>icon_folder.gif" class="JSTreeImage">&nbsp;
                      <a class="HierarchyRow"><#LocalizedText id="Shared Views"></a>
                      <table border="0" cellspacing="0" cellpadding="0">
<script type="text/javascript">
  <#ForEach attribute="viewsettings:public=1,explicitaccess=1" maxcount="1000" where='' configuration="viewsettingslist.ini" sort="" fields="viewsettingslistheader" configuration="viewsettingslist.ini">
</script>
                      </table>
                    </td>
                  </tr>
                </table>
<script type="text/javascript">
  _iPublicCount = _arSettings.length;
</script>
                <table id="tabViewSettingsListPrivate" style="display: none">
                  <tr>
                    <td>
                      <img src="<#ImageFileLocation>icon_folder.gif" class="JSTreeImage">&nbsp;
                      <a class="HierarchyRow"><#LocalizedText id="My Views"></a>
                      <table border="0" cellspacing="0" cellpadding="0">
<script type="text/javascript">
  <#ForEach attribute="viewsettings:private=1,explicitaccess=1" maxcount="1000" where='' configuration="viewsettingslist.ini" sort="" fields="viewsettingslistheader" configuration="viewsettingslist.ini">
</script>
                      </table>
                    </td>
                  </tr>
                </table>
<script type="text/javascript">
  _iPrivateCount = _arSettings.length - _iPublicCount;
</script>         
                <div id="lblText"></div>
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div id="DetailsFooter">
        <input class="ButtonRight" type="button" name="btnHelp" value="<#LocalizedText id="Help">" onclick="javascript: OnHelp();">
        <input class="ButtonRight" type="button" name="btnClose" value="<#LocalizedText id="Close">" onclick="javascript: OnClose();">
      </div>
    </form>

<script type="text/javascript">
  function OnLoad()
  {
    if (_iPublicCount + _iPrivateCount == 0) {
      var oLabel = document.getElementById("lblText");
      oLabel.innerHTML = "<#LocalizedText id="There are no saved views available." enc="html">";
    }
    else {
      if (_iPublicCount > 0) {
        var oTable = document.getElementById("tabViewSettingsListPublic");
        oTable.style.display = "block";
      }
      if (_iPrivateCount > 0) {
        var oTable = document.getElementById("tabViewSettingsListPrivate");
        oTable.style.display = "block";
      }
    }
    InitializeResizeHandlerForPopup(window);
    oGetMainView().sendGoogleAnalyticsEvent('Button', 'Change view', '');
  }

  function OnClose()
  {
    window.close();
  }
  
  function OnHelp()
  {
    OpenHelpWindow(sDecodeURI('<#HelpURL>?shared_viewsettingsselection.htm'));
  }
  
  function OpenViewSettingsLink(viLinkIndex)
  {
    var sParams = "";
    if (undefined !== viLinkIndex) {
        sParams = _arSettings[viLinkIndex];
        sParams = sDecodeURI(sParams);
        var iPos = sParams.indexOf("&");
        sParams = sParams.slice(iPos + 1);
    }

    if (bHasValidOpener(window) && bExists(window.opener.OnViewSettingsSelected))
      window.opener.OnViewSettingsSelected(sParams);
    window.close();
  }

  function setSortBy(viValue)
  {
     var sURL, sValue = "Index";
     if (viValue == parseInt(0)) 
        sValue = "Name";

     sURL = sSetParameter("SORTBY", sValue, document.location.href, false);
     sURL = sSetParameter("NORESIZE", "1", sURL, false);

     OpenView(sURL);
  }
</script>

  </body>
</html>
<!-- [QPRTemplateEnd: viewsettingsselectionview.tpl] -->
