<!DOCTYPE html>
<!-- [QPRTemplateStart: flowdet.tpl] -->

<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jspgdetailspaneutils.tpl">

<script type="text/javascript">
function sGetProcessBrowserItem()
{
	sUrl = "";
	sItemText = "";
	bOpenInNew = false;
	iLevelId = 0;
	<#Tool_OpenInProcessBrowserParams>

  if(bOpenInNew){
    return sGetToolbarIconButtonHTMLForSimplePopup(sItemText, sUrl);
  }
  else {
    return sGetToolbarIconButtonHTMLForOpenInformationView(sItemText, sUrl, "<#ImageFileLocation>icn_flowchart.gif", "", iLevelId);
  }
}

function sGetResourcesItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HResources>", "<#Tool_ResourcesUrl>", "<#PortalImageFileLocation>icon_resources.gif");
}

function sGetLocalToolbarHTML()
{
  return sGetProcessBrowserItem() + sGetResourcesItem();
}

function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions();
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?detailview.htm";
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
  trackGoogleAnalytics();
}
</script>

</head>
<body onload="OnLoad();" onUnload="UpdateInformationViewToolbarsFromInformationView();">
  <div id="PropertyListWrapper" class="PropertyList">
    <#Include template="pg_detailsview_description.tpl">

    <div class="PropertyListTable DetailsPaneExclude">
      <table cellspacing="0" cellpadding="0">
        <#Include template="pg_detailsview_firsttablecaptionstart.tpl">
          <#LocalizedText id="Information">
        </caption>

    		<tr style="<#IsSectionVisible id="Name" false="display: none">">
    			<th class="Vertical"><#HName></th>
    			<td><#Name></td>
    		</tr>

    		<tr style="<#IsSectionVisible id="Symbol" false="display: none">">
    			<th class="Vertical"><#LocalizedText id="Symbol"></th>
    			<td><#Symbol></td>
    		</tr>

    		<tr id="ConnectorType" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="FlowType" false="display: none">">
    			<th class="Vertical"><#HFlowType></th>
    			<td><#FlowType></td>
    		</tr>
        
    		<tr id="ConnectorTransferType" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="TransferType" false="display: none">">
    			<th class="Vertical"><#HTransferType></th>
    			<td><#TransferType></td>
    		</tr>
    
    		<tr id="ConnectorFrom" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="From" false="display: none">" valign="bottom">
    			<th class="Vertical"><#HFrom></th>
    			<td><#FlowFrom></td>
    		</tr>
    
    		<tr id="ConnectorTo" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="To" false="display: none">" valign="bottom">
    			<th class="Vertical"><#HTo></th>
    			<td><#FlowTo></td>
    		</tr>
    	</table>

<#BeginSection id="Resources">
      <table id="Resources" class="PropertyListSubTable DetailsPanePage" cellspacing="0" cellpadding="0">
        <!--resources-->
        <tr>
     			<th class="Vertical"><#HResources></th>
     			<td><table border="0" width="100%" cellpadding="0" cellspacing="0">
            <#Resources template="">
            <!--cell template sample is tablerow_singlecell.tpl-->
          </table></td>
      	</tr>
      </table>
<#EndSection>
    </div>

<#BeginSection id="InformationItems">
<#Include template="pg_detailsview_informationitems.tpl">
<#EndSection>

<#Include template="pg_detailsview_custom_attributes.tpl">
</div>

<#Include template="pg_detailsview_footer.tpl">

</body>
</html>
<!-- [QPRTemplateEnd: flowdet.tpl] -->
